@import "./variables";

.details-form {
  display: $flex-display;
  flex-wrap: wrap;
  min-width: 360px;
  max-width: 50vw;
  padding: 1em;
  border: 1px solid #d5d4d6;
  border-radius: 25px;
  background-color: $white;
  align-self: center;

  @media only screen and (max-width: 360px) {
    flex-direction: column;
  }

  .title-input {
    width: 50%;
    transition: $inputs-transitions;
    &:focus {
      box-shadow: $task-detail-box-shadow;
    }
  }

  label,
  input,
  textarea {
    /* assigning the flex-grow and flex-shrink (respectively)
       properties to 1, in order that they grow/shrink by the
       same amount relative to each other; and setting the
       flex-basis to 45% (the percentage derived from the parent)
       in order to assign a width that"s too large to accommodate
       more than two elements per line: */
    flex: 1 1 45%;
    /* setting the margin above/below each "row" to be 0.5em,
       and 0 to the left and right: */
    margin: 0.5em 0;
  }

  .form-description {
    height: 250px;
    width: 100%;
    transition: $inputs-transitions;

    &:focus {
      box-shadow: $task-detail-box-shadow;
    }
  }
  .form-date {
    &:focus {
      box-shadow: $task-detail-box-shadow;
    }
  }
  .labels {
    font-size: 18px;
    font-weight: bold;
  }

  .status-container {
    display: $flex-display;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    width: 100%;

    div:nth-child(2) {
      // give the New checkbox a right margin to separate from Complete checkbox
      margin-right: 20%;
    }

    label {
      margin-right: 5px;
    }
  }
}

.buttons-container {
  display: $flex-display;
  justify-content: space-between;
  max-width: 50vw;
  min-width: 360px;
  padding: 1em;

  .delete-button,
  .save-button {
    font-size: 12px;
    padding: 5px 20px;
    border: 0;
    color: $white;
    border-radius: 3px;
    cursor: pointer;
  }

  .delete-button {
    background-color: $light-red;
  }
}
